function UpdateGUI()
global Knumber g f GainSlider MaxGain ScaleValue SetGain Button Button_close Gain marked_handle;
global g_cont g_plant g_sensor
global kevans
	if f<>[] then,
	close(f);
	end;
	if marked_handle<>[] then,
	marked_handle.visible='off';
	end;
	marked_handle=[];
	
	f=figure('position',[250,250,310,400]);
	MaxGain=uicontrol(f,'style','popupmenu','callback','GainPopupMenu()',...
	'position', [175,40,60,30],'string','Max','BackgroundColor',[0 1 1]);
	set(MaxGain,'string',"Max.Gain|10|50|100|500|1000|5,000|10,000|50,000|100,000");

        ScaleValue=uicontrol(f,'style','text',...
	'position', [0 70 250 20],'fontsize',18);

	SetGain=uicontrol(f,'style','edit','string','Type Gain here',...
	'position',[10,140,140,25],'fontsize',18);

	Button=uicontrol(f,'style','pushbutton','callback','ReadGain()',...
	'string','Ok','position',[150,140,25,25],'BackgroundColor',[0 1 1]);

	Button_Close=uicontrol(f,'style','pushbutton','callback','Close()',...
	'string','Exit','position',[105,10,50,25],'BackgroundColor',[0 1 1]);

// ************************ Menus **********************
	Response=uimenu(f,'label','Response');
	Response_closedloop=uimenu(Response,'label','Closed loop','callback','response_select(g)')
	Response_nyquist=uimenu(Response,'label','Nyquist plot','callback','nyq(g)');
	Response_black=uimenu(Response,'label','Nichols chart','callback','blacksplot(g)');
	Response_details=uimenu(Response,'label','Details','callback','displayalldetails(g,k)');
	
	Design=uimenu(f,'label','Design');
	Design_rlt=uimenu(Design,'label','Root Locus','callback','callbk_rlt()');
	Design_frq=uimenu(Design,'label','Frequency','callback','callbk_frq()');

	Plant=uimenu(f,'label','Plant');
	uimenu(Plant,'label','undo','callback','g=undo()');
	uimenu(Plant,'label','Add pole','callback','g=addpole(g)');
	uimenu(Plant,'label','Add zero','callback','g=addzero(g)');
	uimenu(Plant,'label','Remove pole','callback','g=rmpole(g)');
	uimenu(Plant,'label','Remove zero','callback','g=rmzero(g)');
	uimenu(Plant,'label','Edit plant','callback','g=rl(g)');

	Settings=uimenu(f,'label','Settings');
	uimenu(Settings,'label','Rootlocus','callback','rlsettings()');
	uimenu(Settings,'label','Open loop freq. response','callback', 'magsettings()');
	uimenu(Settings,'label','Nyquist/Nichols chart','callback', 'nyqsettings()');
	uimenu(Settings,'label','Closed loop freq. response','callback', 'bodesettings()');
	uimenu(Settings,'label','Dynamic response','callback', 'dynamicsettings()');
	uimenu(Settings,'label','Sensitivity','callback', 'senssettings()');
	Gain_Config=uimenu(Settings,'label','Gain configuration');
	Gain_Config_Fwd=uimenu(Gain_Config,'label','Forward path','callback','callbk_fwd()');
	Gain_Config_Fbk=uimenu(Gain_Config,'label','Feedback path','callback','callbk_fbk()');
	Gain_Config_Des=uimenu(Gain_Config,'label','Design mode','callback','callbk_Des()');


	Frq_Unit=uimenu(Settings,'label','Frequency Units');
	Frq_Unit_rad=uimenu(Frq_Unit,'label','Rad/sec','callback','Frunits=''r'' ');
	Frq_Unit_hz=uimenu(Frq_Unit,'label','Hertz','callback','Frunits=''h'' ');

select Knumber
case   1 then, // Gain in forward path
	
	Plant=uicontrol(f,'style','pushbutton','callback','UpdatePlantFwdFbk()',...
	'string','Plant','position',[50,300,75,75],'BackgroundColor',[0 1 1]);

	Gain=uicontrol(f,'style','pushbutton',...
	'string','Gain','position',[170,300,75,75],'BackgroundColor',[0 1 1]);

	Plant2Gain=uicontrol(f,'style','popupmenu','position',[123,337,50,5])
	Gain2y=uicontrol(f,'style','popupmenu','position',[245,337,30,5]);
	y2u_1=uicontrol(f,'style','popupmenu','position',[250,237,5,100]);
	y2u_2=uicontrol(f,'style','popupmenu','position',[40,237,210,5]);
	y2u_3=uicontrol(f,'style','popupmenu','position',[40,237,5,100]);
	u2Plant=uicontrol(f,'style','popupmenu','position',[30,337,20,5]);	

case    2 then, // Feedback configuration... Gain in feedback
	u2y=uicontrol(f,'style','popupmenu','position',[40,337,230,5]);
	Plant=uicontrol(f,'style','pushbutton','callback','UpdatePlantFwdFbk()',...
	'string','Plant','position',[120,300,75,75],'BackgroundColor',[0 1 1]);
	y2u_1=uicontrol(f,'style','popupmenu','position',[250,237,5,100]);
	y2u_2=uicontrol(f,'style','popupmenu','position',[40,237,210,5]);
	y2u_3=uicontrol(f,'style','popupmenu','position',[40,237,5,100]);
	Gain=uicontrol(f,'style','pushbutton',...
	'string','Gain','position',[120,200,75,75],'BackgroundColor',[0 1 1]);
	u2Plant=uicontrol(f,'style','popupmenu','position',[30,337,20,5]);
	

case   3 then,
	u2G=uicontrol(f,'style','popupmenu','position',[10,337,20,5]);
	Gain=uicontrol(f,'style','pushbutton',...
	'string','Gain','position',[30,310,50,50],'BackgroundColor',[0 1 1]);
	G2C=uicontrol(f,'style','popupmenu','position',[80,337,20,5]);
	Controller=uicontrol(f,'style','pushbutton','callback','UpdateController()',...
	'string','Controller','position',[100,310,60,50],'BackgroundColor',[0 1 1]);
	C2P=uicontrol(f,'style','popupmenu','position',[160,337,40,5]);
	Plant=uicontrol(f,'style','pushbutton','callback','UpdatePlant()',...
	'string','Plant','position',[200,310,50,50],'BackgroundColor',[0 1 1]);
	P2y=uicontrol(f,'style','popupmenu','position',[250,337,40,5]);
	y2S=uicontrol(f,'style','popupmenu','position',[260,270,5,70]);
	u2S=uicontrol(f,'style','popupmenu','position',[15,270,250,5]);
	Sensor=uicontrol(f,'style','pushbutton','callback','UpdateSensor()',...
	'string','Sensor','position',[150,250,50,50],'BackgroundColor',[0 1 1]);
	S2u=uicontrol(f,'style','popupmenu','position',[15,270,5,70]);

end;

	GainSlider=uicontrol(f,'style','slider',...
	'min',0,'max',kevans,'position', [10 50 150 16],'callback','slidercallbk()','BackgroundColor',[1 1 1]);
return;
endfunction

function UpdateController()
global g g_cont g_plant g_sensor
gtr=rl(g_cont);
if gtr<>[] then,
	g_cont=gtr;
	g=g_cont*g_plant*g_sensor;
	whichplot(g)
end;
clear gtr
return;
endfunction

function UpdatePlant()
global g g_cont g_plant g_sensor
gtr=rl(g_plant);
if gtr<>[] then,
	g_plant=gtr;
	g=g_cont*g_plant*g_sensor;
	whichplot(g)
end;
clear gtr;
return;
endfunction

function UpdateSensor()
global g g_cont g_plant g_sensor
gtr=rl(g_sensor);
if gtr<>[] then,
	g_sensor=gtr;
	g=g_cont*g_plant*g_sensor;
	whichplot(g)
end;
clear gtr;
return;
endfunction

function UpdatePlantFwdFbk()
global g g_cont g_plant g_sensor
gtr=rl(g);
if gtr<>[] then,
	g_cont=gtr/(g_plant*g_sensor);
	g=gtr;
	whichplot(g)
end;
clear gtr;
return;
endfunction

