function addpole()
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function adds a pole to existing plant.
global g g_cont g_sensor g_plant marked_handle g_save
xset('window',0);
p=locate(1,1);
p=clean(p,Limits()); // locate point and "clean" it
if clean(p(2),Limits())==0 then
	gtr_cont=g_cont/(s-p(1)); // add real pole
else
	gtr_cont=g_cont/((s-p(1))^2+p(2)^2); // add complex pole and conjugate
end;
gtr=(gtr_cont*g_plant*g_sensor);
whichplot(gtr); // update rootlocus plot
gtr=rl(gtr);   // edit plant to truncate spurious entries
if gtr<>[] then,
	Update_Config_File();
	g_cont=gtr_cont
	g=gtr;
else
	whichplot(g);
end;
marked_handle=[]
clear gtr gtr_cont;
return;
 
