function [ok,fminnyq,fmaxnyq,nyqstep]=nyqsettings();
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function settings for nyquist plot.
global fminnyq fmaxnyq nyqstep Frunits
if Frunits=='r' then, // which frequency unit?
	UNITS='rad/sec';
else,
	UNITS='hz';
end;


labels=["Min. Frequency for Nyquist/Nichols plot ("+UNITS+")";
	"Max. Frequency for Nyquist/Nichols plot ("+UNITS+")";
	"Step Size for frequency in Nyquist/Nichols plot ("+UNITS+")";
	];
// dialog for entering data	
[ok,fminnyq,fmaxnyq,nyqstep]=getvalue("Nyquist and Nichols plot Settings",labels,...
list("vec",1,"vec",1,"vec",1),[string(fminnyq);string(fmaxnyq);string(nyqstep)]);
xselect();
if ok==%t then // ok is pressed
xinfo('Changing Default Settings');
else xinfo('Loaded Default Settings');
 fminnyq=0.01; // cancel is pressed
 fmaxnyq=1000;
 nyqstep=0.01;	
 end;
clear UNITS;
Update_Config_File();
return;



