function ramp_response(g_closedloop)	
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function closed loop ramp response
global gridon
xbasc();
xname('Closed loop ramp response');
if roots(denom(g_closedloop))<>[] then
			
			t=0:tstep:tmax;
		resp=csim(t,t,g_closedloop) //this is the response vector
			plot2d([t',t'],[resp',0*t']);
			if gridon==1 then xgrid(4); end;

			xtitle('Ramp Response','Time (sec)','Magnitude') 

		else
x_message(['Sorry! I cannot plot the ramp response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
	
clear t,resp;
return;




