function [gtr]=rl(gtr,UndoFlag)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//this function does input handling and processing of polynomials.
// major code... 
//global g  k gold g_save GainSlider; // this is the "undo" plant.

global marked_handle // handle to mark poles on rootlocus

if argn()==1 then,
UndoFlag='do not save'
end;
if UndoFlag=='save' then,
saveundo(g_save);// save the previous version for undo
end;

gold=gtr
//*********dialog*****************
txt=['Numerator: p(s)'; 'Denominator: q(s)  '];
n=pol2str(numer(gtr)*s^0);
d=pol2str(denom(gtr)*s^0);
ErrorFlag=1;//error checking flag.
while ErrorFlag<>0
[ok,n,d]=getvalue('enter transfer function p(s)/q(s) with p(s),q(s) polynomials in s',txt,...
 list("str",[1,1],"str",[1,1]),[string(n);string(d)]);
	if ok==%f then,
	ErrorFlag=0
	gtr=[]
	return;
	else //meaning OK=true
	[n,ierr1]=evstr(n+'*s^0');
	[d,ierr2]=evstr(d+'*s^0');
	ErrorFlag=ierr1*ierr2;	

if type(n)==2 & type(d)==2 & type(denom(n))==1 & type(denom(d))==1 & size(n)==[1 1] & size(d)==[1 1] then,  
			gtr=n/d; // valid gtr if and only if it passes all these tests.
			ErrorFlag=0;
			marked_handle=[];
			return gtr	

	else
				x_message('Error entering input');
				d=pol2str(denom(gold));
				n=pol2str(numer(gold));
	end;
	end;
end;

//**************************




 
