function rmzero()
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function delete a zero from the plant
global g g_cont g_plant g_sensor marked_handle
xset('window',0);
flag=0;

p=locate(1,1);
p=clean(p,Limits()); // this is the mouse click...
p=p(1)+%i*p(2); // and the corresponding complex point

if Knumber<>3 then,
r=roots(numer(g));
else 
r=roots(numer(g_cont));
end;
[n,m]=size(r);
if n*m==0 then, //empty roots
	return;
end;
for i=1:n, // did you really click on a zero??......
	if abs(p-r(i))< Limits() then, p=r(i); flag=1;
	end;
end;

if flag==0 then // No you didn't!!....
xselect(); 
xinfo('click on a zero to remove it');
end;

if flag==1 then, // YES it is indeed a zero!! 

	if imag(p)==0 then gtr_cont=g_cont/(s-real(p));
	else gtr_cont=g_cont/((s-real(p))^2+imag(p)^2); // remove it!
	end;
	gtr=clean(gtr_cont*g_plant*g_sensor,1e-5);
	whichplot(gtr); // update plots.
	gtr=rl(gtr);   // confirm this change
	if gtr<>[] then,
	g_cont=gtr_cont
	g=gtr;
	else
	whichplot(g);
	end;
end;
marked_handle=[]
clear gtr gtr_cont;
return;
