function step_response(g_closedloop)	
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function plots step response of closed loop plant.
global gridon;
xbasc();
xname('Closed loop step response');
		if   r<>[] then
							
			t=0:tstep:tmax;
			resp=csim('step',t,g_closedloop) //this is the response vector
			plot2d([t',t'],[resp',0*t']);
					if gridon==1 then xgrid(4); end;
			
			xtitle('Step Response','Time (sec)','Magnitude') 

		else
		x_message(['Sorry! I cannot plot the step response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
			xselect();
				
clear t,resp;
return


