mode(-1);
libname='rltool' 
libtitle='RLTOOL is a GUI-based tool for SISO system design'; 
mess=['rltool is loaded. Type ""rlt()"" to start rltool-1.6']
      

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'loader.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end

if ~MSDOS then //Unix
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
else // Visual C++
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  MACROS=DIR+'macros\' 
end

// load the library
execstr(libname+'=lib(""'+MACROS+'"")')
// add the help chapter
write(%io(2),mess)
%helps = [%helps; DIR+'man', libtitle]

clear fd err nams DIR libname libtitle mess  //clean environment

 



