function addzero()
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function adds a zero to the existing plant.
global g g_cont g_sensor g_plant marked_handle
if choice<>1 then return;end; // you cannot add zero in frequency design mode
xset('window',0);
p=locate(1,1); // locate zero and clean it
p=clean(p,Limits());
if clean(p(2),Limits())==0 then
	gtr_cont=g_cont*(s-p(1)); // real zero is added
else 
	gtr_cont=g_cont*((s-p(1))^2+p(2)^2); // complex zero and its conjugate is added
end;
gtr=gtr_cont*g_plant*g_sensor
whichplot(gtr); // update rootlocus plot
gtr=rl(gtr); // edit new plant
if gtr<>[] then,
	g_cont=gtr_cont
	g=gtr;
else
	whichplot(g);
end;
marked_handle=[]
clear gtr gtr_cont;
return;
