function [ok,tmax,tstep]=dynamicsettings();
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function settings for various dynamic responses.
global MAG FREQ CYCLES tmax tstep 

unit='rad/sec';
	if Frunits=='h' then,
	unit='Hz';
	end;

labels=["Max. Time for Closed loop dynamic response (sec)";
	"Step Size for discrete time in dynamic response (sec)";
	"Magnitude of sinusoidal input (scalar) ";
	"Frequency in "+unit;
	"Number of cycles (integer)  ";
	];
	
[ok,tmax,tstep,MAG,FREQ,CYCLES]=getvalue("dynamic response settings",labels,...
list("vec",1,"vec",1,"vec",1,"vec",1,"vec",1),[string(tmax);string(tstep);...
string(MAG);string(FREQ);string(CYCLES)]);
if ok==%t then
xinfo('Changing Default Settings');
else xinfo('Loaded Default Settings'); // if cancel is pressed load default
 tmax=5; 
 tstep=0.05;
 end;
Update_Config_File();
return;


