function impulse_response(g_closedloop)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function plot impulse response of closed loop plant
global gridon;
xbasc()
xname('Closed loop impulse response');
		if roots(denom(g_closedloop))<>[] then
			
			t=0:tstep:tmax;
			resp=csim('impulse',t,g_closedloop) //this is the response vector
			plot2d([t',t'],[resp',0*t']);
			if gridon==1 then xgrid(4); end; // grid on
			xtitle('Impulse Response','Time (sec)','Magnitude') 
		else
		x_message(['Sorry! I cannot plot the impulse response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
				
clear t,resp;
return


