function nrhp=isstable(g , k);
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function isstable checks whether closed loop system is stable.

nrhp='The closed loop system is stable.'
g=g;
cls_loop=denom(g);
cls_loop=cls_loop+k*numer(g); // characteristic polynomial of closed loop tf
cls_loop=roots( cls_loop );
[n,m]=size(cls_loop);
for i=1:n,
if real( cls_loop(i) ) > 0 then , // check if any root in right half plane
	nrhp='The closed loop system is not stable.';
	return;	
	end;
end;
clear cls_loop;
return;
   

  
