function markpoles(r)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function markpoles(r) marks all closed loop poles on the rootlocus.
global marked_handle choice;
if choice<> 1 then,
	return; // no marking if not rootlocus mode
end;
if marked_handle<>[] then,
marked_handle.visible='off';
end;
x=real(r);
y=imag(r);
xset('window',0);
xset("mark size",1)
plot2d(x,y,-3,frameflag=7,logflag='nn');
marked_handle=get("hdl")
return;




