function rmpole()
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function delete a pole from the plant
global g g_cont g_plant g_sensor marked_handle
xset('window',0);
flag=0;

p=locate(1,1); // read mouse position and clean it
p=clean(p,Limits());
p=p(1)+%i*p(2); // this is the complex point u clicked.

if Knumber<> 3 then,
r=roots(denom(g));
else,
r=roots(denom(g_cont));
end;
[n,m]=size(r);

if n*m==0 then, // empty string
return;
end;

for i=1:n,
	if abs(p-r(i))< Limits() then, p=r(i); flag=1;end;
end; // did you really click on a pole??......

if flag==0 then 
	xselect();
	xinfo('click on a pole to remove it'); // no you didn't!!
end;


if flag==1 then, // modify only if flag is affected. // Yes! It is a pole!
	if imag(p)==0 then gtr_cont=g_cont*(s-real(p));
	else gtr_cont=g_cont*((s-real(p))^2+imag(p)^2); // remove it!
	end;
	gtr=gtr_cont*g_plant*g_sensor;
	whichplot(gtr); // update plots
	gtr=rl(gtr); // confirm the change.
	if gtr<>[] then,
	g_cont=gtr_cont;
	g=gtr;
	else
	whichplot(g);
	end;
 
end;
marked_handle=[]
clear gtr gtr_cont;
return;

